<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\property;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\property\PropertyActivityLists;
use app\adminapi\logic\property\PropertyActivityLogic;
use app\adminapi\validate\property\PropertyActivityValidate;


/**
 * PropertyActivity控制器
 * Class PropertyActivityController
 * @package app\adminapi\controller
 */
class PropertyActivityController extends BaseAdminController
{

    public array $notNeedLogin = ['newDataExecute'];
    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/21 15:04
     */
    public function lists()
    {
        return $this->dataLists(new PropertyActivityLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/21 15:04
     */
    public function add()
    {
        $params = (new PropertyActivityValidate())->post()->goCheck('add');
        $result = PropertyActivityLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(PropertyActivityLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/21 15:04
     */
    public function edit()
    {
        $params = (new PropertyActivityValidate())->post()->goCheck('edit');
        $result = PropertyActivityLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(PropertyActivityLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/21 15:04
     */
    public function delete()
    {
        $params = (new PropertyActivityValidate())->post()->goCheck('delete');
        PropertyActivityLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/21 15:04
     */
    public function detail()
    {
        $params = (new PropertyActivityValidate())->goCheck('detail');
        $result = PropertyActivityLogic::detail($params);
        return $this->data($result);
    }

    public function propertys()
    {
        return $this->success('',\app\adminapi\logic\property\PropertyHeadLogic::selectList(), 1, 1);
    }

    public function getQRCode()
    {
        $params = (new PropertyActivityValidate())->post()->goCheck('detail');
        return $this->success('',['qrcode'=>PropertyActivityLogic::getQRCode($params,$this->request->domain())], 1, 1);
    }

    // 上线前的旧数据处理为可用的新数据
    public function newDataExecute()
    {
        dd(PropertyActivityLogic::newDataExecute());
    }


}